------------------------------------------------------------------------
r51940 | gerald | 2013-09-10 12:59:42 -0700 (Tue, 10 Sep 2013) | 2 lines
Changed paths:
   M /trunk-1.10/ChangeLog
   M /trunk-1.10/config.nmake
   M /trunk-1.10/configure.ac
   M /trunk-1.10/debian/changelog
   M /trunk-1.10/docbook/asciidoc.conf
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/Makefile.am
   M /trunk-1.10/make-version.pl
   M /trunk-1.10/wiretap/Makefile.am

1.10.2 → 1.10.3.

------------------------------------------------------------------------
r52057 | gerald | 2013-09-15 07:19:23 -0700 (Sun, 15 Sep 2013) | 1 line
Changed paths:
   M /trunk-1.10/manuf
   M /trunk-1.10/services

[Automatic manuf, services and enterprise-numbers update for 2013-09-15]
------------------------------------------------------------------------
r52170 | gerald | 2013-09-22 07:19:16 -0700 (Sun, 22 Sep 2013) | 1 line
Changed paths:
   M /trunk-1.10/manuf
   M /trunk-1.10/services

[Automatic manuf, services and enterprise-numbers update for 2013-09-22]
------------------------------------------------------------------------
r52173 | eapache | 2013-09-22 09:42:21 -0700 (Sun, 22 Sep 2013) | 3 lines
Changed paths:
   M /trunk-1.10/epan/dissectors/packet-gluster.h
   M /trunk-1.10/epan/dissectors/packet-glusterfs.c

Manual backport of r52142 and r52144 to fix collision between gluster defines
and system header dirent.h

------------------------------------------------------------------------
r52195 | eapache | 2013-09-23 16:17:22 -0700 (Mon, 23 Sep 2013) | 11 lines
Changed paths:
   M /trunk-1.10/epan/reassemble.c

Replace r51826 with a slightly different backport fix for
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9027
that doesn't leak memory. I thought the leaks would be pretty minor and not
worth worrying about, but
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9169
showed otherwise.

Major thanks to Jakub for figuring out we could create a dummy TVB hooked up to
the parent, even though the 1.10 reassembly code doesn't know about the real
child TVB.

------------------------------------------------------------------------
r52239 | guy | 2013-09-28 10:47:01 -0700 (Sat, 28 Sep 2013) | 9 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/wiretap/pcapng.c

Copy over r52238 from trunk:

  ------------------------------------------------------------------------
  r52238 | guy | 2013-09-28 10:44:50 -0700 (Sat, 28 Sep 2013) | 4 lines

  There's no interface ID in a Simple Packet Block.

  Fixes one problem found by the file in bug 9200.

------------------------------------------------------------------------
r52242 | guy | 2013-09-28 11:05:36 -0700 (Sat, 28 Sep 2013) | 17 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/wiretap/pcapng.c

Copy over r52241 from trunk, with manual intervention:

  ------------------------------------------------------------------------
  r52241 | guy | 2013-09-28 11:03:20 -0700 (Sat, 28 Sep 2013) | 12 lines

  In a Simple Packet Block, the captured length isn't the block length
  minus the lengths of the two length fields and the packet length field,
  it's the minimum of that and the packet length, as there might be
  padding.

  Fixes one problem found by the file in bug 9200.

  While we're at it, pcapng_read_packet_block() and
  pcapng_read_simple_packet_block() return an integer, not a Boolean;
  return 0, not FALSE (they have the same value, but returning 0 makes it
  clearer that the return value isn't restricted to TRUE or FALSE).

------------------------------------------------------------------------
r52245 | guy | 2013-09-28 11:26:27 -0700 (Sat, 28 Sep 2013) | 11 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/wiretap/pcapng.c

Copy over r52244 from trunk:

  ------------------------------------------------------------------------
  r52244 | guy | 2013-09-28 11:25:07 -0700 (Sat, 28 Sep 2013) | 6 lines

  Correctly calculate the captured length in a Simple Packet Block -
  subtract out the minimum SPB size, which includes the length of
  *everything* except for the packet data.

  Fixes one problem found by the file in bug 9200.

------------------------------------------------------------------------
r52248 | guy | 2013-09-28 12:27:19 -0700 (Sat, 28 Sep 2013) | 9 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/wiretap/pcapng.c

Copy over r52247 from trunk:

  ------------------------------------------------------------------------
  r52247 | guy | 2013-09-28 12:26:23 -0700 (Sat, 28 Sep 2013) | 4 lines

  Fix cut-and-pasteo.

  Finishes the fix for bug 9200.

------------------------------------------------------------------------
r52251 | guy | 2013-09-28 13:11:11 -0700 (Sat, 28 Sep 2013) | 15 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/wiretap/pcapng.c

Copy over r52250 from trunk:

  ------------------------------------------------------------------------
  r52250 | guy | 2013-09-28 13:08:39 -0700 (Sat, 28 Sep 2013) | 10 lines

  Actually, the captured length must be the minimum of:

	the number of bytes available for packet data in the block;

	the packet length;

	*and* the snapshot length for the interface.

  One more fix for bug 9200, so it should *now* be fixed.

------------------------------------------------------------------------
r52254 | guy | 2013-09-28 14:07:52 -0700 (Sat, 28 Sep 2013) | 8 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/wiretap/pcapng.c

Copy over r52253 from trunk:

  ------------------------------------------------------------------------
  r52253 | guy | 2013-09-28 14:06:17 -0700 (Sat, 28 Sep 2013) | 3 lines

  The pcap-ng spec says the captured length is the minimum of the
  interface snapshot length and the packet length; make it so.

------------------------------------------------------------------------
r52258 | guy | 2013-09-28 14:30:38 -0700 (Sat, 28 Sep 2013) | 6 lines
Changed paths:
   M /trunk-1.10/docbook/release-notes.asciidoc

Mention bug 9200 being fixed.

Make the sample "The following bugs have been fixed:" entry match the
syntax used in actual release notes we've shipped (putting the buglist
link in parentheses).

------------------------------------------------------------------------
r52263 | eapache | 2013-09-29 05:22:40 -0700 (Sun, 29 Sep 2013) | 15 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/ui/gtk/addr_resolution_dlg.c
   M /trunk-1.10/ui/gtk/bytes_view.c
   M /trunk-1.10/ui/gtk/capture_dlg.c

Copy over revision from trunk:

 ------------------------------------------------------------------------
 r50915 | wmeier | 2013-07-26 12:19:00 -0400 (Fri, 26 Jul 2013) | 2 lines
 Changed paths:
    M /trunk/ui/gtk/addr_resolution_dlg.c
    M /trunk/ui/gtk/bytes_view.c
    M /trunk/ui/gtk/capture_dlg.c

 gtk_widget_modify_font() has been renamed to gtk_widget_override_font() in GTK3

 ------------------------------------------------------------------------

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9201

------------------------------------------------------------------------
r52266 | gerald | 2013-09-29 07:19:18 -0700 (Sun, 29 Sep 2013) | 1 line
Changed paths:
   M /trunk-1.10/manuf

[Automatic manuf, services and enterprise-numbers update for 2013-09-29]
------------------------------------------------------------------------
r52325 | guy | 2013-10-01 14:55:19 -0700 (Tue, 01 Oct 2013) | 3 lines
Changed paths:
   M /trunk-1.10/packaging/macosx/Read_me_first.rtf

We install the wrapper scripts for the command-line tools in
/usr/local/bin, not in /Library/Wireshark.

------------------------------------------------------------------------
r52401 | gerald | 2013-10-06 07:19:26 -0700 (Sun, 06 Oct 2013) | 1 line
Changed paths:
   M /trunk-1.10/manuf

[Automatic manuf, services and enterprise-numbers update for 2013-10-06]
------------------------------------------------------------------------
r52444 | eapache | 2013-10-07 16:38:07 -0700 (Mon, 07 Oct 2013) | 5 lines
Changed paths:
   M /trunk-1.10/epan/dissectors/packet-btsdp.c

The trunk fix for https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9232 is
not easily backportable because wmem_strbuf is not fully implemented in 1.10.
Instead, fix it by making sure that if our manual string-counter does overflow
past the end of the buffer, we reset it back.

------------------------------------------------------------------------
r52465 | pascal | 2013-10-09 09:08:39 -0700 (Wed, 09 Oct 2013) | 9 lines
Changed paths:
   M /trunk-1.10/epan/dissectors/packet-wccp.c

Copy over manually from the trunk:
------------------------------------------------------------------------
r52464 | pascal | 2013-10-09 18:07:24 +0200 (mer., 09 oct. 2013) | 3 lines

From Peter Van Eynde via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9252 :
Fix WCCP fix hash buckets assignment info decoding

------------------------------------------------------------------------

------------------------------------------------------------------------
r52490 | eapache | 2013-10-10 06:08:02 -0700 (Thu, 10 Oct 2013) | 21 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/epan/dissectors/packet-openwire.c

Copy over from trunk to pacify the fuzzbot and so Michael's patch backports
cleanly

  ------------------------------------------------------------------------
  r52458 | eapache | 2013-10-08 19:16:53 -0400 (Tue, 08 Oct 2013) | 10 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-openwire.c

  Hacky fix for https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9248
  Just break out of the loop if offset doesn't go up.

  There's almost certainly a better fix - the dissector is weird, and I'm not sure
  if all the _length_remaining() checks are important or legacy, and what affect
  they have on this issue.

  At the very least this will pacify the fuzzbots until somebody has time to
  figure it out properly.

  ------------------------------------------------------------------------


------------------------------------------------------------------------
r52507 | cmaynard | 2013-10-10 12:50:30 -0700 (Thu, 10 Oct 2013) | 3 lines
Changed paths:
   M /trunk-1.10/Makefile.nmake
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/ui/gtk/Makefile.nmake
   M /trunk-1.10/ui/gtk/follow_tcp.c

Revert the changes made to resolve https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3528 (When following an HTTP tcp stream decode gzip data automatically), as they caused a bigger problem reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9044 ("Follow TCP Stream" shows only first HTTP req+res).


------------------------------------------------------------------------
r52546 | morriss | 2013-10-11 11:06:59 -0700 (Fri, 11 Oct 2013) | 10 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/epan/dissectors/packet-rohc.c

Copy over from the trunk:

  ------------------------------------------------------------------------
  r51404 | martinm | 2013-08-17 13:52:13 -0400 (Sat, 17 Aug 2013) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rohc.c

  Squelch a (bogus) warning about next_tvb being unused initialised.
  ------------------------------------------------------------------------

------------------------------------------------------------------------
r52585 | gerald | 2013-10-13 07:19:19 -0700 (Sun, 13 Oct 2013) | 1 line
Changed paths:
   M /trunk-1.10/manuf
   M /trunk-1.10/services

[Automatic manuf, services and enterprise-numbers update for 2013-10-13]
------------------------------------------------------------------------
r52713 | gerald | 2013-10-20 07:19:17 -0700 (Sun, 20 Oct 2013) | 1 line
Changed paths:
   M /trunk-1.10/manuf

[Automatic manuf, services and enterprise-numbers update for 2013-10-20]
------------------------------------------------------------------------
r52753 | mmann | 2013-10-21 19:16:09 -0700 (Mon, 21 Oct 2013) | 4 lines
Changed paths:
   M /trunk-1.10/epan/dissectors/packet-opensafety.c

openSAFETY: Fixing rare crash as well as dissector errors.  Bug 9314 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9314) Patch specifically from 1.10 branch.

From Roland Knall

------------------------------------------------------------------------
r52786 | mmann | 2013-10-23 06:35:18 -0700 (Wed, 23 Oct 2013) | 3 lines
Changed paths:
   M /trunk-1.10/epan/dissectors/packet-iec104.c

IEC 60870-5-104 CP56Time dissolve bug.  Bug 9178 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9178)

This is the "bugfix only" version of the patch for backporting.
------------------------------------------------------------------------
r52891 | gerald | 2013-10-27 07:19:23 -0700 (Sun, 27 Oct 2013) | 1 line
Changed paths:
   M /trunk-1.10/epan/dissectors/usb.c
   M /trunk-1.10/manuf
   M /trunk-1.10/services

[Automatic manuf, services and enterprise-numbers update for 2013-10-27]
------------------------------------------------------------------------
r52954 | gerald | 2013-10-29 10:57:22 -0700 (Tue, 29 Oct 2013) | 18 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-ieee802154.c

Copy over r52036 from the trunk:

  ------------------------------------------------------------------------
  r52036 | eapache | 2013-09-14 06:15:31 -0700 (Sat, 14 Sep 2013) | 8 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee802154.c

  _lookup_extended takes a pointer to the key-pointer since it has to set the old
  key pointer value. _insert just takes the key-pointer, not a pointer to it.
  Passing a pointer-to-a-pointer causes the outer pointer to be dereferenced as a
  struct (when it in fact points to a pointer to struct) and leads to incorrect
  behaviour and uninitialized/out-of-bounds memory accesses.

  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9139
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r52957 | gerald | 2013-10-29 11:46:43 -0700 (Tue, 29 Oct 2013) | 14 lines
Changed paths:
   M /trunk-1.10/asn1/nbap/nbap.cnf
   M /trunk-1.10/asn1/nbap/packet-nbap-template.c
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-nbap.c

Copy over r52154 by hand:

  ------------------------------------------------------------------------
  r52154 | etxrab | 2013-09-20 07:19:31 -0700 (Fri, 20 Sep 2013) | 1 line
  Changed paths:
     M /trunk/asn1/nbap/nbap.cnf
     M /trunk/asn1/nbap/packet-nbap-template.c
     M /trunk/epan/dissectors/packet-nbap.c

  DCH-ID can be 255
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r52959 | gerald | 2013-10-29 11:59:13 -0700 (Tue, 29 Oct 2013) | 13 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-sip.c

Copy over r52354 from the trunk:

  ------------------------------------------------------------------------
  r52354 | pascal | 2013-10-04 03:29:57 -0700 (Fri, 04 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-sip.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9228 :
  Ensure that decompressed tvb exists before trying to add it to the tree
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r52961 | gerald | 2013-10-29 12:55:40 -0700 (Tue, 29 Oct 2013) | 14 lines
Changed paths:
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-tcp.c

Copy over r52570 with manual intervention:

  ------------------------------------------------------------------------
  r52570 | cmaynard | 2013-10-12 11:03:34 -0700 (Sat, 12 Oct 2013) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  Don't assume that tvb_length_remaining() or tvb_reported_length_remaining() always return a value >= 0.  Part of fix for https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9263

  #BACKPORT(1.10,1.8)
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r52968 | gerald | 2013-10-29 14:40:26 -0700 (Tue, 29 Oct 2013) | 57 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/diameter/dictionary.xml
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-bssgp.c
   M /trunk-1.10/epan/dissectors/packet-enip.c
   M /trunk-1.10/epan/dissectors/packet-ieee802154.c
   M /trunk-1.10/ui/win32/print_win32.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r51942 | pascal | 2013-09-10 14:18:28 -0700 (Tue, 10 Sep 2013) | 3 lines
  Changed paths:
     M /trunk/diameter/dictionary.xml

  From Philippe Rosenfeld via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9126 :
  Fix the value of 'SEND_TO_UE' in the DIAMETER Gx dictionary for Packet-Filter-Usage AVP
  ------------------------------------------------------------------------
  r51919 | etxrab | 2013-09-09 23:32:41 -0700 (Mon, 09 Sep 2013) | 7 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee802154.c

  From Selvamegala:

  GTS starting slot in the Beacon frame is not parsed correctly. As per the Spec, in the 3byte gts descriptor value bit 0- 15  refers Device Short address bit 16-19 – Starting slot bit 20-23 – GTS length.

  (I Dug out the onliner from the attached file)

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8946
  ------------------------------------------------------------------------
  r52131 | pascal | 2013-09-17 14:56:35 -0700 (Tue, 17 Sep 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bssgp.c

  From Jason Wzhy via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9157 :
  BSSGP: Fix dissection of Trace Type IE in SGSN-INVOKE-TRACE message
  ------------------------------------------------------------------------
  r52157 | mmann | 2013-09-20 11:35:10 -0700 (Fri, 20 Sep 2013) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-enip.c

  Bugfix a few items:

  1. Correct Interface Flag enumeration
  2. Dissect ARP data without making it look like its an ARP packet by disabling column writing.
  ------------------------------------------------------------------------
  r52215 | mmann | 2013-09-25 12:13:10 -0700 (Wed, 25 Sep 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-enip.c

  Minor correction to dissection of DLR frames in Ethernet/IP dissector.  Bug 9186 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9186)

  From Joakim Wiberg
  ------------------------------------------------------------------------
  r52221 | cmaynard | 2013-09-26 10:27:53 -0700 (Thu, 26 Sep 2013) | 4 lines
  Changed paths:
     M /trunk/ui/win32/print_win32.c

  When a line of text wraps to the next line, the character that caused the line to wrap was not being printed.

  #BACKPORT(1.10,1.8)
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r52970 | gerald | 2013-10-29 14:58:59 -0700 (Tue, 29 Oct 2013) | 49 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-dvb-s2-bb.c
   M /trunk-1.10/epan/dissectors/packet-rtp.c
   M /trunk-1.10/epan/dissectors/packet-xmpp.c
   M /trunk-1.10/plugins/wimax/packet-wmx.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r52330 | pascal | 2013-10-02 08:33:00 -0700 (Wed, 02 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rtp.c

  From Pavel via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9204 :
  Fix parsing of padding in RTP header extension
  ------------------------------------------------------------------------
  r52338 | pascal | 2013-10-02 12:59:35 -0700 (Wed, 02 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dvb-s2-bb.c

  From Audric Schiltknecht via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9218 :
  Fix typo in MODCOD list of DVB-S2 dissector
  ------------------------------------------------------------------------
  r50272 | morriss | 2013-06-30 16:25:37 -0700 (Sun, 30 Jun 2013) | 17 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-xmpp.c

  From David Richards via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8871 :

  TLS decryption fails when trying to decrypt XMPP sessions using start_tls as
  the port in the key list of the SSL preferences.

  Looking at the code, the XMPP dissector has 2 issues:

  1) The crude XML element detection for XMPP segmentation is run before
  checking if the SSL dissector should be called.  As a result, the SSL dissector
  is not called at the appropriate times.

  2) The SSL dissector is called withoug resetting the desegment flags are not
  manipulated as the SMTP dissector does so segmented SSL packets are not properly
  reconstructed.  Generally this causes the server hello not to be detected.

  A proposed patch to fix these issues is attached.
  ------------------------------------------------------------------------
  r52209 | mmann | 2013-09-24 14:06:05 -0700 (Tue, 24 Sep 2013) | 3 lines
  Changed paths:
     M /trunk/plugins/wimax/packet-wmx.c

  Prevent crashing as a result of tree removal in r52208.  Tree removal + this patch should be the "quick" fix to bug 5349 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5349).  I knew the tree check was preventing some dissection/column data/etc, but from the comments in bug 5349, the tree check was also protecting this (and maybe other) crashes (due to missed NULL checking).

  I want to follow up with some massive cleanup (remove PITEM_FINFO calls), but this with r52208 should be good enough to backport to 1.8 and 1.10 to fix bug 5349.  Cleanup shouldn't need to be backported.
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r52973 | gerald | 2013-10-29 15:19:18 -0700 (Tue, 29 Oct 2013) | 71 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/AUTHORS
   M /trunk-1.10/asn1/h225/h225.cnf
   M /trunk-1.10/debian/control
   M /trunk-1.10/debian/rules
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-3g-a11.c
   M /trunk-1.10/epan/dissectors/packet-h225.c
   M /trunk-1.10/epan/dissectors/packet-mq.c
   M /trunk-1.10/epan/dissectors/packet-ptp.c
   M /trunk-1.10/tshark.c
   M /trunk-1.10/ui/gtk/capture_dlg.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r52403 | mmann | 2013-10-06 08:38:32 -0700 (Sun, 06 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/AUTHORS
     M /trunk/epan/dissectors/packet-3g-a11.c

  Improve "eHRPD Indicator" NVSE dissection in 3GPP2 A11 Registration Request. Bug 9206 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9206)

  From Masayuki Takemura
  ------------------------------------------------------------------------
  r52493 | morriss | 2013-10-10 07:53:19 -0700 (Thu, 10 Oct 2013) | 8 lines
  Changed paths:
     M /trunk/tshark.c

  Fix the core dump reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9258 :

  After calling wtap_close(), set the wth to NULL so we don't try to close it
  again later. (The core only happens when tshark isn't keeping up with dumpcap's
  file rotation.)

  Wireshark still has a problem but it's a different one.
  ------------------------------------------------------------------------
  r52512 | morriss | 2013-10-10 13:23:59 -0700 (Thu, 10 Oct 2013) | 4 lines
  Changed paths:
     M /trunk/ui/gtk/capture_dlg.c

  Don't close the Capture Options window if there was an error in what was
  selected (and we're not going to start capturing).  That way the user can fix
  whatever was wrong without having to re-open the dialog.
  ------------------------------------------------------------------------
  r52566 | pascal | 2013-10-12 07:05:32 -0700 (Sat, 12 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ptp.c

  From Todd Newton via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9262 :
  Fix dissection of PTP Management messages
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r52404 | mmann | 2013-10-06 08:51:31 -0700 (Sun, 06 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-mq.c

  WebSphere MQ V7 Bug Fix 8322 TSHM_EBCDIC.  Bug 9198 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9198)

  From Ed Beroset.
  ------------------------------------------------------------------------
  r52773 | rbalint | 2013-10-22 15:33:05 -0700 (Tue, 22 Oct 2013) | 1 line
  Changed paths:
     M /trunk/debian/control
     M /trunk/debian/rules

  Generate wsicon32.xpm during building Debian package
  ------------------------------------------------------------------------
  r52659 | kukosa | 2013-10-17 04:24:43 -0700 (Thu, 17 Oct 2013) | 1 line
  Changed paths:
     M /trunk/asn1/h225/h225.cnf
     M /trunk/epan/dissectors/packet-h225.c
     M /trunk/epan/dissectors/packet-h225.h

  H.225.0: fix handling of compound parameters in Generic Extensible Framework (H.460.22 did not work well)
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r52974 | gerald | 2013-10-29 15:55:21 -0700 (Tue, 29 Oct 2013) | 90 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-dcerpc-ndr.c
   M /trunk-1.10/epan/dissectors/packet-dcerpc-nt.c
   M /trunk-1.10/epan/dissectors/packet-dcerpc.c
   M /trunk-1.10/epan/dissectors/packet-dns.c
   M /trunk-1.10/epan/dissectors/packet-eth.c
   M /trunk-1.10/epan/dissectors/packet-ethertype.c
   M /trunk-1.10/epan/stats_tree.c
   M /trunk-1.10/plugins/stats_tree/pinfo_stats_tree.c
   M /trunk-1.10/tshark.c
   M /trunk-1.10/ui/gtk/uat_gui.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r52662 | mmann | 2013-10-17 13:54:42 -0700 (Thu, 17 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dns.c

  Bugfix an apparent typo in edns0 "Higher bits in extended RCODE".  Bug 9199 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9199).

  #BACKPORT(1.10)
  ------------------------------------------------------------------------
  r52679 | mmann | 2013-10-18 14:17:01 -0700 (Fri, 18 Oct 2013) | 5 lines
  Changed paths:
     M /trunk/epan/stats_tree.c
     M /trunk/plugins/stats_tree/pinfo_stats_tree.c

  Don't allow invalid ranges to be specified for the stats tree. Bug 9130 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9130)

  Not sure which memory allocation should be used here (using wmem caused crash), but this revision can at least be easily backported to 1.10 where the bug was reported.

  Also allow a single number to be used in the stats range since it's considered a valid "range" by the UAT.
  ------------------------------------------------------------------------
  r52357 | martink | 2013-10-04 05:52:36 -0700 (Fri, 04 Oct 2013) | 5 lines
  Changed paths:
     M /trunk/ui/gtk/uat_gui.c

  in a uat dialogue, allow only one popup for confirming a deletion of an
  element

  this should at least partially fix bug 9129
  ------------------------------------------------------------------------
  r52683 | mmann | 2013-10-18 19:45:01 -0700 (Fri, 18 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/ui/gtk/uat_gui.c

  Only allow one popup dialog in UAT dialog.  Editing/copying/deleting can modify the uat list and other open dialogs will not be aware of it and lead to unexpected behavior (including crashes).  Fixes bug 9129 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9129)

  #BACKPORT(1.10)
  ------------------------------------------------------------------------
  r52733 | mmann | 2013-10-21 08:46:13 -0700 (Mon, 21 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dcerpc-ndr.c

  Fix padding bytes overlapping due to NDR alignment.  Bug 9300 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9300)

  From Matthieu Patou
  ------------------------------------------------------------------------
  r52734 | mmann | 2013-10-21 08:50:23 -0700 (Mon, 21 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dcerpc-nt.c

  Datablob size is NDR64/32 dependant.  Bug 9301 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9301).

  From Matthieu Patou
  ------------------------------------------------------------------------
  r52735 | mmann | 2013-10-21 08:58:52 -0700 (Mon, 21 Oct 2013) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-dcerpc-nt.c

  Fix compile errors introduced in r52734.
  ------------------------------------------------------------------------
  r52736 | mmann | 2013-10-21 09:00:37 -0700 (Mon, 21 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dcerpc.c

  dce-rpc: properly dissect multiple PDU in the same packet. Bug 9302 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9302).

  From Matthieu Patou
  ------------------------------------------------------------------------
  r52738 | cmaynard | 2013-10-21 10:31:22 -0700 (Mon, 21 Oct 2013) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-eth.c
     M /trunk/epan/dissectors/packet-ethertype.c

  Remove if (fh_tree) checks as add_ethernet_trailer() calls such functions as dissector_try_heuristic(),  expert_add_info(), and col_append_str(), which all need to be called whether fh_tree is NULL or not.

  #BACKPORT(1.10,1.8)
  ------------------------------------------------------------------------
  r52838 | cmaynard | 2013-10-25 05:51:16 -0700 (Fri, 25 Oct 2013) | 4 lines
  Changed paths:
     M /trunk/tshark.c

  Display the frame number on the packet summary line if it's one of the configured columns.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9317

  #BACKPORT(1.10,1.8)
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r52995 | gerald | 2013-10-30 18:08:27 -0700 (Wed, 30 Oct 2013) | 2 lines
Changed paths:
   M /trunk-1.10/docbook/asciidoc.conf

Fix up some macros.

------------------------------------------------------------------------
r52997 | gerald | 2013-10-30 18:12:02 -0700 (Wed, 30 Oct 2013) | 2 lines
Changed paths:
   M /trunk-1.10/docbook/release-notes.asciidoc

Use the right markup for bug links.

------------------------------------------------------------------------
r53018 | gerald | 2013-11-01 09:11:02 -0700 (Fri, 01 Nov 2013) | 16 lines
Changed paths:
   M /trunk-1.10/docbook/release-notes.asciidoc

Copy over r52732 from the trunk. This appears to be in response to r52213 and
wmemification in the trunk, neither of which have been backported yet. The extra
check doesn't hurt, however.

  ------------------------------------------------------------------------
  r52732 | mmann | 2013-10-21 08:39:07 -0700 (Mon, 21 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ntlmssp.c

  NULL check ref_nt_challenge_response and ref_lm_challenge_response. Bug 9299 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9299)

  From Matthieu Patou
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r53020 | gerald | 2013-11-01 09:24:42 -0700 (Fri, 01 Nov 2013) | 31 lines
Changed paths:
   M /trunk-1.10
   M /trunk-1.10/docbook/release-notes.asciidoc
   M /trunk-1.10/epan/dissectors/packet-btsdp.c
   M /trunk-1.10/epan/dissectors/packet-irc.c
   M /trunk-1.10/epan/packet.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r52977 | eapache | 2013-10-29 18:42:11 -0700 (Tue, 29 Oct 2013) | 6 lines
  Changed paths:
     M /trunk/epan/packet.c

  When adding an entry to a dissector string table, take a copy of the pattern
  string (and pass g_free to g_hash_table_new_full to free it).

  This means callers don't have to worry about the scope of the memory they pass
  in, and fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9296
  ------------------------------------------------------------------------
  r52859 | mmann | 2013-10-25 17:36:16 -0700 (Fri, 25 Oct 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-btsdp.c

  Bluetooth: SDP: Fix PBAP features presentation.  Bug 9327 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9327)

  From Michal Labedzki
  ------------------------------------------------------------------------
  r53016 | pascal | 2013-11-01 08:48:57 -0700 (Fri, 01 Nov 2013) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-irc.c

  From Peter Wu via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9360 :
  Fix IRC response command filter
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
